[Mobile Must Install] AppVersion is not defined and Can't find variable: AppVersion

[Mobile Must Install] AppVersion is not defined and Can't find variable: AppVersion

  
Forge Component
(1)
Published on 26 Mar by José Fábio Vieira
1 vote
Published on 26 Mar by José Fábio Vieira

Dear Jose ,


The Mobile must install worked fine in our development and staging. Yesterday we moved this to production. Immediately it started throwing below errors. Please find the attached error logs as well.

1) AppVersion is not defined

2) Can't find variable: AppVersion

If we look close at the reported errors , In AppVersionPlugin--> CheckAppVersionPlugin method --> PluginIsLoaded java script belowpiece of code causing the errors .

if (AppVersion === undefined || AppVersion.version === undefined){
    $parameters.IsAvailable = false;
} else {
    $parameters.IsAvailable = true;
}

 

when this worked fine in dev and staging environments. How this causing errors in production? 

Kindly take this as urgent matter and help us finish the new build smoothly.


Thanks and Regards

Rajashekar Reddy Ette


It seems the dependency plugin App Version Plugin, please contact the owner or try to troubleshoot it and evaluate possible solutions


At first glance, the JavaScript statement is wrong it should evaluate properly according to the JavaScript best practices, please check the following: